Bug 180109 - Wrong permissions for /dev/fuse
Wrong permissions for /dev/fuse
Product: Fedora
Classification: Fedora
Component: fuse (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-02-05 15:47 EST by Gérard Milmeister
Modified: 2007-11-30 17:11 EST (History)
4 users (show)

See Also:
Fixed In Version: 2.5.2-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-03-11 14:25:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Gérard Milmeister 2006-02-05 15:47:24 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20060202 Galeon/2.0.0

Description of problem:
The /dev/fuse device is created correctly as 
crw-rw----  1 root fuse 10, 229 Feb  5 21:44 /dev/fuse
by udev.
However as soon as fuse is actually used, i.e., when
the kernel module "fuse" is loaded, the permissions
are changed to:
crw-------  1 root fuse 10, 229 Feb  5 21:46 /dev/fuse
Then of course users in the group "fuse" are not
able any more to use fuse.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

Additional info:
Comment 1 Richard Dawe 2006-02-08 16:23:11 EST
The fix for this appears to be to rename /etc/udev/rules.d/40-fuse.rules to
/etc/udev/rules.d/60-fuse.rules. This works for me.
Comment 2 Ville Skyttä 2006-02-12 11:32:12 EST
Ack.  This is caused by later udev versions and needs to be fixed in FC-4 and
FC-5.  Moving it to anything > 50 seems to fix it.
Comment 3 Ville Skyttä 2006-03-01 14:21:52 EST
Ping: any reason why this has not been pushed to FC-4 yet?
Comment 4 Ville Skyttä 2006-03-11 14:25:38 EST

Note You need to log in before you can comment on or make changes to this bug.